| QxOrm 1.2.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types
qx::service::QxService< INPUT, OUTPUT > Class Template Reference
QxService : QxOrm library services engine to provide easy and powerful way to create C++ application server (to transfer data over network)

qx::service::QxService<INPUT, OUTPUT> : concrete service class with INPUT parameters and OUTPUT parameters More...

`#include <QxService.h>`

Inheritance diagram for qx::service::QxService< INPUT, OUTPUT >:

List of all members.

## Public Member Functions
| QxService (const QString &sServiceName)
virtual | ~QxService ()
INPUT_ptr | getInputParameter () const
OUTPUT_ptr | getOutputParameter () const
virtual void | registerClass () const
## Protected Types
enum | { is_input_parameter = boost::is_base_of<IxParameter, value }
enum | { is_output_parameter = boost::is_base_of<IxParameter, value }
enum | { is_input_registered = qx::trait::is_qx_registered<INPUT>::value }
enum | { is_output_registered = qx::trait::is_qx_registered<OUTPUT>::value }
enum | { is_valid_parameter = (is_input_parameter && is_output_parameter && is_input_registered && is_output_registered) }
typedef boost::shared_ptr< INPUT > | INPUT_ptr
typedef boost::shared_ptr< OUTPUT > | OUTPUT_ptr

## Detailed Description

### template<class INPUT, class OUTPUT>
class qx::service::QxService< INPUT, OUTPUT >

qx::service::QxService<INPUT, OUTPUT> : concrete service class with INPUT parameters and OUTPUT parameters

Click here to access to a tutorial to explain how to work with QxService module.

Definition at line 61 of file QxService.h.

## Member Typedef Documentation

template<class INPUT , class OUTPUT >

typedef boost::shared_ptr<INPUT> qx::service::QxService< INPUT, OUTPUT >::INPUT_ptr`[protected]`

Definition at line 72 of file QxService.h.

template<class INPUT , class OUTPUT >

typedef boost::shared_ptr<OUTPUT> qx::service::QxService< INPUT, OUTPUT >::OUTPUT_ptr`[protected]`

Definition at line 73 of file QxService.h.

## Member Enumeration Documentation

template<class INPUT , class OUTPUT >

anonymous enum`[protected]`

Enumerator:

  is_input_parameter |
  value |

Definition at line 66 of file QxService.h.

template<class INPUT , class OUTPUT >

anonymous enum`[protected]`

Enumerator:

  is_output_parameter |
  value |

Definition at line 67 of file QxService.h.

template<class INPUT , class OUTPUT >

anonymous enum`[protected]`

Enumerator:

  is_input_registered |

Definition at line 68 of file QxService.h.

template<class INPUT , class OUTPUT >

anonymous enum`[protected]`

Enumerator:

  is_output_registered |

Definition at line 69 of file QxService.h.

template<class INPUT , class OUTPUT >

anonymous enum`[protected]`

Enumerator:

  is_valid_parameter |

Definition at line 70 of file QxService.h.

## Constructor & Destructor Documentation

template<class INPUT , class OUTPUT >

qx::service::QxService< INPUT, OUTPUT >::QxService | ( | const QString & | sServiceName | ) | `[inline]`

Definition at line 77 of file QxService.h.

template<class INPUT , class OUTPUT >

virtual qx::service::QxService< INPUT, OUTPUT >::~QxService | ( |  | ) | `[inline, virtual]`

Definition at line 78 of file QxService.h.

## Member Function Documentation

template<class INPUT , class OUTPUT >

INPUT_ptr qx::service::QxService< INPUT, OUTPUT >::getInputParameter | ( |  | ) | const`[inline]`

Definition at line 80 of file QxService.h.

template<class INPUT , class OUTPUT >

OUTPUT_ptr qx::service::QxService< INPUT, OUTPUT >::getOutputParameter | ( |  | ) | const`[inline]`

Definition at line 81 of file QxService.h.

template<class INPUT , class OUTPUT >

virtual void qx::service::QxService< INPUT, OUTPUT >::registerClass | ( |  | ) | const`[inline, virtual]`

Reimplemented from qx::service::IxService.

Definition at line 83 of file QxService.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxService/QxService.h